FlowComponent Class Reference

`#include <FlowComponent.h>`

## Public Member Functions

FlowComponent * | addTo (tf::Taskflow &composition)
FlowComponent * | precede (FlowComponent &successor)
FlowComponent * | precede (FlowComponent *successor)
FlowComponent * | name (const std::string &name)
tf::Task & | nextTask ()

## Private Attributes

std::queue< tf::Task > | componentTasks_
tf::Taskflow | componentFlow_
tf::Task | compositionTask_

## Member Function Documentation

## addTo()

FlowComponent * FlowComponent::addTo | ( | tf::Taskflow & | composition | ) |

inline

References componentFlow_, and compositionTask_.

Referenced by grk::ResFlow::addTo(), grk::ImageComponentFlow::addTo(), grk::ImageComponentFlow::getPrePostProc(), and grk::Scheduler::getPrePostProc().

## name()

FlowComponent * FlowComponent::name | ( | const std::string & | name | ) |

inline

References compositionTask_, and name().

Referenced by name().

## nextTask()

tf::Task & FlowComponent::nextTask | ( |  | ) |

inline

References componentFlow_, and componentTasks_.

Referenced by grk::DecompressScheduler::scheduleBlocks().

## precede() [1/2]

FlowComponent * FlowComponent::precede | ( | FlowComponent & | successor | ) |

inline

References precede().

Referenced by grk::TileProcessor::decompressT2T1(), grk::ResFlow::getPacketsFlow(), grk::ResFlow::graph(), precede(), grk::ResFlow::precede(), and grk::ResFlow::precede().

## precede() [2/2]

FlowComponent * FlowComponent::precede | ( | FlowComponent * | successor | ) |

inline

References compositionTask_.

## Member Data Documentation

## componentFlow_

tf::Taskflow FlowComponent::componentFlow_

private

Referenced by addTo(), and nextTask().

## componentTasks_

std::queue<tf::Task> FlowComponent::componentTasks_

private

Referenced by nextTask().

## compositionTask_

tf::Task FlowComponent::compositionTask_

private

Referenced by addTo(), name(), and precede().

The documentation for this class was generated from the following file:

- FlowComponent.h